Name:           libdazzle
Version:        3.44.0
Release:        1
Summary:        Experimental new features for GTK+ and GLib
License:        GPLv3+
URL:            https://gitlab.gnome.org/GNOME/libdazzle
Source0:        https://download.gnome.org/sources/%{name}/3.42/%{name}-%{version}.tar.xz

BuildRequires:  gtk-doc meson vala gtk3-devel >= 3.24.0 glib2-devel >= 2.57.2 gobject-introspection-devel

# for tests
BuildRequires:  tigervnc-server-minimal words

Requires:       glib2 >= 2.57.2 gtk3 >= 3.24.0

%description
libdazzle is a collection of fancy features for GLib and Gtk+ that aren't quite
ready or generic enough for use inside those libraries.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -p1

%build
%meson -D enable_gtk_doc=true
%meson_build

%install
%meson_install

%find_lang libdazzle-1.0

%check
Xvnc :99 -nolisten tcp &
export DISPLAY=:99
%meson_test

%files
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/dazzle-list-counters
%{_libdir}/libdazzle-1.0.so.*
%{_libdir}/girepository-1.0/Dazzle-1.0.typelib

%files devel
%{_datadir}/gir-1.0/Dazzle-1.0.gir
%{_datadir}/gtk-doc/html/libdazzle
%{_datadir}/locale/
%{_datadir}/vala/vapi/libdazzle-1.0.*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libdazzle-1.0.pc

%files help
%doc README.md
%doc CONTRIBUTING.md examples

%changelog
* Thu Apr 21 2022 dillon chen <dillon.chen@gmail.com> - 3.44.0-1
- Update to 3.44.0

* Mon Jun 7 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.0-1
- Upgrade to 3.38.0
- Update Version, Source0

* Sat Sep 19 2020 chengguipeng<chengguipeng1@huawei.com> - 3.37.1-1
- Package init 
